﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PartnerDataClient
{
	/// <summary>
	/// Форма для редактирования имени пользователя и пароля
	/// </summary>
	public partial class CredentialForm : Form
	{
		public string UserName { get; set; }
		public string Password { get; set; }

		public CredentialForm()
		{
			InitializeComponent();
		}

		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);
			txtUserName.Text = UserName;
			txtPassword.Text = Password;
		}

		protected override void OnClosing(CancelEventArgs e)
		{
			base.OnClosing(e);
			UserName = txtUserName.Text;
			Password = txtPassword.Text;
		}
	}
}
